Index: trunk/Monitoring/CNClient/Makefile
===================================================================
--- trunk/Monitoring/CNClient/Makefile	(revision 961)
+++ trunk/Monitoring/CNClient/Makefile	(revision 962)
@@ -1,6 +1,11 @@
-sendAMQPMsg:
-	#gcc -static -I/usr/local/include -L/usr/local/lib -Wall -o sendAMQPMsg send_AMQP_msg.c -lrabbitmq
-	gcc -static -Wall -o sendAMQPMsg send_AMQP_msg.c -lrabbitmq
+#all: clean
+#	sendAMQPMsg
+
+sendAMQPMsg: send_AMQP_msg.c
+	gcc -static -I/usr/local/include -L/usr/local/lib -Wall -o sendAMQPMsg send_AMQP_msg.c -lrabbitmq
 
 install: sendAMQPMsg
 	sudo cp sendAMQPMsg /usr/local/bin
+
+clean: sendAMQPMsg
+	rm -f sendAMQPMsg
Index: trunk/Monitoring/CNClient/sample/config.card.base64
===================================================================
--- trunk/Monitoring/CNClient/sample/config.card.base64	(revision 962)
+++ trunk/Monitoring/CNClient/sample/config.card.base64	(revision 962)
@@ -0,0 +1,80 @@
+IyAkSWQkCiMgVGhpcyBpcyBjb25maWcuY2FyZCBmaWxlIGZvciByZXN0YXJ0IHdpdGggYW4gTkVX
+IGxpYklHQ00gc2ltdWxhdGlvbiB0cmVlLgojCiM9PT09PT09PT09PT09PT09PT09PT09PT09PT09
+PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT0KI0QtLSBDb21wYXRp
+YmlsaXR5IC0KW0NvbXBhdGliaWxpdHldCmxpYklHQ009MS4wCiNELS0gVXNlckNob2ljZXMgLQpb
+VXNlckNob2ljZXNdCiM9PT09PT09PT09PT09PT09PT09PT09PT09PT09CiMtLSAoPDggY2hhcnMg
+TUFYIGZvciBKb2JOYW1lKQpKb2JOYW1lPUJJR0JSTwojLS0tLS0gU2hvcnQgTmFtZSBvZiBFeHBl
+cmltZW50CkV4cGVyaW1lbnROYW1lPWNsaW0KIy0tLS0tIERFVlQgVEVTVCBQUk9EClNwYWNlTmFt
+ZT1URVNUCkxvbmdOYW1lPSJMTURaT1IgY29uZmlndXJhdGlvbiIKVGFnTmFtZT1MTURaT1IKI0Qt
+IENob2ljZSBvZiBleHBlcmltZW50IGluIEVYUEVSSUVNRU5UUyBkaXJlY3RvcnkKRXhwVHlwZT1M
+TURaT1IvY2xpbQojPT09PT09PT09PT09PT09PT09PT09PT09PT09PQojLS0gbGVhcCwgbm9sZWFw
+LCAzNjBkCkNhbGVuZGFyVHlwZT0zNjBkCiMtLSBCZWdpbiBhbmQgZW5kIG9mIGpvYiAKIy0tICJZ
+WVlZLU1NLUREIgpEYXRlQmVnaW49MTk4MC0wMS0wMQpEYXRlRW5kPTE5ODAtMDEtMzAKIz09PT09
+PT09PT09PT09PT09PT09PT09PT09PT0KIy0tIDFZLCAxTSwgNUQsIDFEIFBlcmlvZCBMZW5ndGgg
+b2Ygb25lIHRydW5rIG9mIHNpbXVsYXRpb24KUGVyaW9kTGVuZ3RoPTFNCiM9PT09PT09PT09PT09
+PT09PT09PT09PT09PT09CiMtLSBUb3RhbCBOdW1iZXIgb2YgUHJvY2Vzc29ycwpKb2JOdW1Qcm9j
+VG90PTMyCiM9PT09PT09PT09PT09PT09PT09PT09PT09PT09CiMgY29uZmlnLmNhcmQgY29uZmln
+dXJhdGlvbiBvcHRpb25zIDoKI1JfSU5JVD0vdS9yZWNoL3BzbC9ycHNsMDM1L0lHQ00vSU5JVAoj
+Ul9JTklUPS9kbW5mcy9jb250MDAzL3A4Nmlwc2wvSUdDTS9JTklUCiNSX0JDPS91L3JlY2gvcHNs
+L3Jwc2wwMzUvSUdDTS9CQwojUl9CQz0vZG1uZnMvY29udDAwMy9wODZpcHNsL0lHQ00vQkMKIz09
+PT09PT09PT09PT09PT09PT09PT09PT09PT0KCiM9PT09PT09PT09PT09PT09PT09PT09PT09PT09
+PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT0KI0QtLSBSZXN0YXJ0
+cyAtCltSZXN0YXJ0c10KI0QtIGJ5IGRlZmF1bHQ6IGNvbmZpZy5jYXJkIGRlc2NyaWJlcyBubyBy
+ZXN0YXJ0IGZvciBhbGwgY29tcG9uZW50cyAKI0QtICAgICAgICAgICAgIGllIHN0YXJ0IGZyb20g
+TGV2aXR1cyBvciBsaW1pdCBmaWxlcwojRC0gSWYgeW91IHdhbnQgdG8gcmVzdGFydCBhbGwgY29t
+cG9uZW50cyBmcm9tIHRoZSBzYW1lIHNpbXVsYXRpb24sCiNELSAgICAgIHB1dCBPdmVSdWxlIGZs
+YWcgdG8gJ3knIGFuZCBzZXQgdGhlIG5leHQgMyBwYXJhbWV0ZXJzCk92ZXJSdWxlPW4KI0QtIExh
+c3QgZGF5IG9mIHRoZSBleHBlcmllbmNlIHVzZWQgYXMgcmVzdGFydCBmb3IgYWxsIGNvbXBvbmVu
+dHMKUmVzdGFydERhdGU9MjAwMC0wMS0zMQojRC0gRGVmaW5lIHJlc3RhcnQgc2ltdWxhdGlvbiBu
+YW1lIGZvciBhbGwgY29tcG9uZW50cwpSZXN0YXJ0Sm9iTmFtZT1FWFAwMAojRC0gUGF0aCBTZXJ2
+ZXIgR3JvdXAgTG9naW4KUmVzdGFydFBhdGg9JHtBUkNISVZFfS9JR0NNX09VVC9MTURaT1IvREVW
+VC9hbWlwCgojPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09
+PT09PT09PT09PT09PT09PT09PT09PT09CiNELS0gQVRNIC0KW0FUTV0KIwpXcml0ZUZyZXF1ZW5j
+eT0iMU0gMUQgSEYiCiMgSWYgY29uZmlnX1Jlc3RhcnRzX092ZXJSdWxlID09ICduJyBuZXh0IDQg
+cGFyYW1zIGFyZSByZWFkClJlc3RhcnQ9bgojIExhc3QgZGF5IG9mIHRoZSBleHBlcmllbmNlIHVz
+ZWQgYXMgcmVzdGFydCBmb3IgdGhpcyBjb21wb25lbnQgaWYgUmVzdGFydD15ClJlc3RhcnREYXRl
+PTIwMDAtMDEtMzEKIyBEZWZpbmUgcmVzdGFydCBzaW11bGF0aW9uIG5hbWUgZm9yIHRoaXMgY29t
+cG9uZW50ClJlc3RhcnRKb2JOYW1lPUxNRFpPUjAxClJlc3RhcnRQYXRoPSR7QVJDSElWRX0vSUdD
+TV9PVVQvTE1EWk9SL0RFVlQvYW1pcAojIE9sZCBjb21wb25lbnQgbmFtZSBmb3IgcmVzdGFydCAo
+aWYgZW1wdHksIHVzZSBuZXcgbmFtZSkKT2xkTmFtZT0KCiM9PT09PT09PT09PT09PT09PT09PT09
+PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT0KI0QtLSBT
+UkYgLQpbU1JGXQpXcml0ZUZyZXF1ZW5jeT0iMU0gSEYiCiMgSWYgY29uZmlnX1Jlc3RhcnRzX092
+ZXJSdWxlID09ICduJyBuZXh0IDQgcGFyYW1zIGFyZSByZWFkClJlc3RhcnQ9bgojIy0tIExhc3Qg
+ZGF5IG9mIHRoZSBleHBlcmllbmNlIHVzZWQgYXMgcmVzdGFydCBmb3IgdGhpcyBjb21wb25lbnQg
+aWYgUmVzdGFydD15ClJlc3RhcnREYXRlPTIwMDAtMDEtMzEKIyBEZWZpbmUgcmVzdGFydCBzaW11
+bGF0aW9uIG5hbWUgZm9yIHRoaXMgY29tcG9uZW50ClJlc3RhcnRKb2JOYW1lPUVYUDAwClJlc3Rh
+cnRQYXRoPSR7QVJDSElWRX0vSUdDTV9PVVQvTE1EWk9SL0RFVlQvYW1pcAojLS0gT2xkIGNvbXBv
+bmVudCBuYW1lIGZvciByZXN0YXJ0IChpZiBlbXB0eSwgdXNlIG5ldyBuYW1lKQpPbGROYW1lPQoK
+Iz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09
+PT09PT09PT09PT09PT09PQojRC0tIFNCRyAtIFNUT01BVEUKW1NCR10KV3JpdGVGcmVxdWVuY3k9
+IjFNIgojIElmIGNvbmZpZ19SZXN0YXJ0c19PdmVyUnVsZSA9PSAnbicgbmV4dCA0IHBhcmFtcyBh
+cmUgcmVhZApSZXN0YXJ0PW4KIy0tIExhc3QgZGF5IG9mIHRoZSBleHBlcmllbmNlIHVzZWQgYXMg
+cmVzdGFydCBmb3IgdGhpcyBjb21wb25lbnQgaWYgUmVzdGFydD15ClJlc3RhcnREYXRlPTIwMDAt
+MDEtMzEKIyBEZWZpbmUgcmVzdGFydCBzaW11bGF0aW9uIG5hbWUgZm9yIHRoaXMgY29tcG9uZW50
+ClJlc3RhcnRKb2JOYW1lPUVYUDAwClJlc3RhcnRQYXRoPSR7QVJDSElWRX0vSUdDTV9PVVQvTE1E
+Wk9SL0RFVlQvYW1pcAojLS0gT2xkIGNvbXBvbmVudCBuYW1lIGZvciByZXN0YXJ0IChpZiBlbXB0
+eSwgdXNlIG5ldyBuYW1lKQpPbGROYW1lPQoKIz09PT09PT09PT09PT09PT09PT09PT09PT09PT09
+PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PQojRC0tIExpc3RPZkNv
+bXBvbmVudHMgLQpbTGlzdE9mQ29tcG9uZW50c10KI0QtIEZvciBlYWNoIGNvbXBvbmVudCwgTmFt
+ZSBvZiBjb21wb25lbnQsIFRhZyBvZiBjb21wb25lbnQKQVRNPSAobG1keiwgTE1EWjRfQVI1KQpT
+UkY9IChvcmNoaWRlZSwgT1JDSElERUVfMV85XzUpClNCRz0gKHN0b21hdGUsIE9SQ0hJREVFXzFf
+OV81KQoKIz09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09
+PT09PT09PT09PT09PT09PT09PT09PQojRC0tIEV4ZWN1dGFibGUgLQpbRXhlY3V0YWJsZV0KI0Qt
+IEZvciBlYWNoIGNvbXBvbmVudCwgUmVhbCBuYW1lIG9mIGV4ZWN1dGFibGUsIE5hbWUgb2YgZXhl
+Y3V0YWJsZSBmb3Igb2FzaXMKQVRNPSAoZ2NtLmUsIGxtZHoueCkKU1JGPSAoIiIsICIiKQpTQkc9
+ICgiIiwgIiIpCgojPT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09
+PT09PT09PT09PT09PT09PT09PT09PT09PT09CiNELS0gUG9zdCAtCltQb3N0XQojRC0gRG8gd2Ug
+cmVidWlsZCBwYXJhbGxlbCBvdXRwdXQsIHRoaXMgZmxhZyBkZXRlcm1pbmVzCiNELSBmcmVxdWVu
+Y3kgb2YgcmVidWlsZCBzdWJtaXNzaW9uICh1c2UgTk9ORSBmb3IgRFJZUlVOPTMpClJlYnVpbGRG
+cmVxdWVuY3k9Tk9ORQojRC0gRG8gd2UgcmVidWlsZCBwYXJhbGxlbCBvdXRwdXQgZnJvbSBhcmNo
+aXZlICh1c2UgTk9ORSB0byB1c2UgU0NSQVRDSERJUiBhcyBidWZmZXIpClJlYnVpbGRGcm9tQXJj
+aGl2ZT1OT05FCiNELSBJZiB5b3Ugd2FudCB0byBwcm9kdWNlIHRpbWUgc2VyaWVzLCB0aGlzIGZs
+YWcgZGV0ZXJtaW5lcwojRC0gZnJlcXVlbmN5IG9mIHBvc3QtcHJvY2Vzc2luZyBzdWJtaXNzaW9u
+IChOT05FIGlmIHlvdSBkb24ndCB3YW50KQpUaW1lU2VyaWVzRnJlcXVlbmN5PU5PTkUKI0QtIElm
+IHlvdSB3YW50IHRvIHByb2R1Y2Ugc2Vhc29uYWwgYXZlcmFnZSwgdGhpcyBmbGFnIGRldGVybWlu
+ZXMKI0QtIHRoZSBwZXJpb2Qgb2YgdGhpcyBhdmVyYWdlIChOT05FIGlmIHlvdSBkb24ndCB3YW50
+KQpTZWFzb25hbEZyZXF1ZW5jeT1OT05FCiNELSBPZmZzZXQgZm9yIHNlYXNvbmFsIGF2ZXJhZ2Ug
+Zmlyc3Qgc3RhcnQgZGF0ZXMgOyBzYW1lIHVuaXQgYXMgU2Vhc29uYWxGcmVxdWVuY3kKI0QtIFVz
+ZWZ1bGwgaWYgeW91IGRvIG5vdCB3YW50IHRvIGNvbnNpZGVyIHRoZSBmaXJzdCBYIHNpbXVsYXRp
+b24ncyB5ZWFycwpTZWFzb25hbEZyZXF1ZW5jeU9mZnNldD0wCgojPT09PT09PT09PT09PT09PT09
+PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09Cg==
Index: trunk/Monitoring/CNClient/send_AMQP_msg.c
===================================================================
--- trunk/Monitoring/CNClient/send_AMQP_msg.c	(revision 961)
+++ trunk/Monitoring/CNClient/send_AMQP_msg.c	(revision 962)
@@ -234,4 +234,5 @@
 int main(int argc, char * const *argv) {
   char const *hostname;
+  int msg_count=1;
   int port;
   //char const *exchange;
@@ -242,4 +243,5 @@
   char *buf = NULL;
   int c;
+  int i;
   char *filepath = NULL;
   int file_flag=0;
@@ -252,5 +254,5 @@
   //parsing args
   opterr = 0;
-  while ((c = getopt (argc, argv, "b:ef:h:p:")) != -1)
+  while ((c = getopt (argc, argv, "b:ef:h:n:p:u")) != -1)
     switch (c)
       {
@@ -259,7 +261,4 @@
         break;
       case 'e':
-
-        fprintf(stderr, "Usage: amqp_producer host port\n");
-
 
         // --- example without config card ---
@@ -286,7 +285,13 @@
         hostname = optarg;
         break;
+      case 'n':
+        msg_count = atoi(optarg);
+        break;
       case 'p':
         port = atoi(optarg);
         break;
+      case 'u':
+        fprintf(stderr, "Usage: amqp_producer host port -b <body>\n");
+        exit(EXIT_SUCCESS);
       case '?':
         fprintf (stderr, "ERR001: incorrect argument '-%c'.\n", optopt);
@@ -374,5 +379,8 @@
     props.content_type = amqp_cstring_bytes("text/plain");
     props.delivery_mode = 2; /* persistent delivery mode */
-    die_on_error(amqp_basic_publish(conn, 1, amqp_cstring_bytes("myexchange"), amqp_cstring_bytes(""), 0, 0, &props, amqp_cstring_bytes(body)), "Publishing");
+
+
+    for (i = 0; i < msg_count; i++)
+      die_on_error(amqp_basic_publish(conn, 1, amqp_cstring_bytes("myexchange"), amqp_cstring_bytes(""), 0, 0, &props, amqp_cstring_bytes(body)), "Publishing");
   }
 